#pragma once
#include <Array.h>

#include "RecipieList.h"

class RecipieLoader : public virtual Framework::ReferenceCounter
{
private:
    Framework::RCArray<RecipieList> lists;
    Framework::JSON::Validator::JSONValidator* validator;

public:
    RecipieLoader();
    ~RecipieLoader();
    void loadRecipies(const char* path);
    RecipieList* zRecipieList(const char* name) const;
    void registerRecipieList(const char* name);
    Framework::Text getCrafingUIML(int itemTypeId);
};